<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.requestWithoutTimeout</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.requestWithoutTimeout</h1>
<p>
Module implementing checks for using requests without timeout.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Functions</h3>
<table>
<tr>
<td><a href="#checkRequestWithouTimeout">checkRequestWithouTimeout</a></td>
<td>Function to check for use of requests without timeout.</td>
</tr>
<tr>
<td><a href="#getChecks">getChecks</a></td>
<td>Public method to get a dictionary with checks handled by this module.</td>
</tr>
</table>

<hr />
<hr />
<a NAME="checkRequestWithouTimeout" ID="checkRequestWithouTimeout"></a>
<h2>checkRequestWithouTimeout</h2>
<b>checkRequestWithouTimeout</b>(<i>reportError, context, _config</i>)
<p>
    Function to check for use of requests without timeout.
</p>

<dl>

<dt><i>reportError</i> (func)</dt>
<dd>
function to be used to report errors
</dd>
<dt><i>context</i> (SecurityContext)</dt>
<dd>
security context object
</dd>
<dt><i>_config</i> (dict)</dt>
<dd>
dictionary with configuration data (unused)
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="getChecks" ID="getChecks"></a>
<h2>getChecks</h2>
<b>getChecks</b>(<i></i>)
<p>
    Public method to get a dictionary with checks handled by this module.
</p>

<dl>
<dt>Return:</dt>
<dd>
dictionary containing checker lists containing checker function and
        list of codes
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
dict
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
